
format = """
[](#9A348E)\
$os\
[](bg:#DA627D fg:#9A348E)\
$directory\
[](fg:#DA627D bg:#FCA17D)\
$git_branch\
$git_status\
[](fg:#FCA17D bg:#86BBD8)\
$c\
$elixir\
$elm\
$golang\
$gradle\
$haskell\
$java\
$julia\
$nodejs\
$nim\
$rust\
$scala\
[](fg:#86BBD8 bg:#06969A)\
$docker_context\
$nix_shell\
$guix_shell\
$container\
[](fg:#06969A bg:#33658A)\
[ ](fg:#33658A)\
"""

right_format = """
[](fg:#1C668D)\
$status\
[](fg:#76BCD9 bg:#1C668D)\
$time\
[](fg:#76BCD9)
"""

# You can also replace your username with a neat symbol like   or disable this
# and use the os module below
[username]
show_always = true
style_user = "bg:#9A348E"
style_root = "bg:#9A348E"
format = '[$user ]($style)'
disabled = true

# An alternative to the username module which displays a symbol that
# represents the current operating system
[os]
style = "bg:#9A348E"
disabled = false # Disabled by default

[os.symbols]
Alpaquita = "🔔 "
Alpine = " "
Amazon = " "
Android = " "
Arch = "󰣇 "
Artix = " "
CentOS = " "
Debian = " "
DragonFly = "🐉 "
Emscripten = "🔗 "
EndeavourOS = " "
Fedora = " "
FreeBSD = " "
Garuda = "🦅 "
Gentoo = " "
HardenedBSD = "🛡️ "
Illumos = "🐦 "
Linux = " "
Mabox = "📦 "
Macos = " "
Manjaro = " "
Mariner = "🌊 "
MidnightBSD = "🌘 "
Mint = "󰣭 "
NetBSD = "🚩 "
NixOS = " "
OpenBSD = "🐡 "
OpenCloudOS = "☁️ "
openEuler = "🦉 "
openSUSE = " "
OracleLinux = "🦴 "
Pop = " "
Raspbian = " "
Redhat = "󱄛 "
RedHatEnterprise = "󱄛 "
Redox = "🧪 "
Solus = "⛵ "
SUSE = " "
Ubuntu = " "
Unknown = " "
Windows = " "

[directory]
style = "bg:#DA627D"
format = "[ $path ]($style)"
truncation_length = 3
truncation_symbol = "…/"

# Here is how you can shorten some long paths by text replacement
# similar to mapped_locations in Oh My Posh:
[directory.substitutions]
"Documents" = "󰈙 "
"Downloads" = " "
"Music" = " "
"Pictures" = " "
"Videos" = " "

[c]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[elixir]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[elm]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[git_branch]
symbol = " "
style = "bg:#FCA17D"
format = '[ $symbol $branch ]($style)'
truncation_length = 4
truncation_symbol = '…'

[git_status]
style = "bg:#FCA17D"
format = '[$all_status$ahead_behind ]($style)'

[golang]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[gradle]
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[haskell]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[java]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[julia]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[nodejs]
symbol = ""
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[nim]
symbol = "󰆥 "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[rust]
symbol = ""
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[scala]
symbol = " "
style = "bg:#86BBD8"
format = '[ $symbol ($version) ]($style)'

[time]
disabled = false
time_format = "%R" # Hour:Minute Format
style = "fg:#ffffff bg:#76BCD9"
format = '[  $time ]($style)'

[docker_context]
symbol = '󰡨 '
style = 'bg:#06969A'
format = '[ $symbol$context]($style) '
disabled = false

[nix_shell]
symbol = '󱄅 '
style = 'bg:#06969A'
format = '[ $symbol$state \($name\)]($style) '
disabled = false

[guix_shell]
style = 'bg:#06969A'
symbol = ' '
format = '[ $symbol]($style) '
disabled = false

[status]
recognize_signal_code = false
map_symbol = false
style = 'bg:#1C668D'
format = '[ $int ]($style)'
disabled = false

